jQuery.sap.declare("sas.stress.config.model.HierarchyLineItem");

sap.ui.base.Object.extend("sas.stress.config.model.HierarchyLineItem", {
    constructor: function (liKey,
                           hierarchyKey,
                           liOrder,
                           contra,
                           aggregationType,
                           levelNames,
                           memberName,
                           format,
                           formula,
                           levelNum,
                           workGroupNames,
                           formulaCode) {
        this.liKey = liKey;
        this.hierarchyKey = hierarchyKey;
        this.liOrder = liOrder;
        this.contra = contra;
        this.aggregationType = aggregationType;
        this.levelNames = levelNames; //List<String>
        this.memberName = memberName;
        this.format = format;
        this.formula = formula;
        this.levelNum = levelNum;
        this.workGroupNames = workGroupNames;
        this.formulaCode = formulaCode;
    }
});

sas.stress.config.model.HierarchyLineItem.prototype.getLiKey = function () {
    return this.liKey;
};

sas.stress.config.model.HierarchyLineItem.prototype.getHierarchyKey = function () {
    return this.hierarchyKey;
};

sas.stress.config.model.HierarchyLineItem.prototype.getLiOrder = function () {
    return this.liOrder;
};

sas.stress.config.model.HierarchyLineItem.prototype.getContra = function () {
    return this.contra;
};

sas.stress.config.model.HierarchyLineItem.prototype.getAggregationType = function () {
    return this.aggregationType;
};

sas.stress.config.model.HierarchyLineItem.prototype.getLevelNames = function () {
    return this.levelNames;
};

sas.stress.config.model.HierarchyLineItem.prototype.getMemberName = function () {
    return this.memberName;
};

sas.stress.config.model.HierarchyLineItem.prototype.getFormat = function () {
    return this.format;
};

sas.stress.config.model.HierarchyLineItem.prototype.getFormula = function () {
    return this.formula;
};

sas.stress.config.model.HierarchyLineItem.prototype.getFormulaCode = function () {
    return this.formulaCode;
};

sas.stress.config.model.HierarchyLineItem.prototype.getLevelNum = function () {
    return this.levelNum;
};

sas.stress.config.model.HierarchyLineItem.prototype.getWorkGroupNames = function () {
    return this.workGroupNames;
};
